version: "3.9"

services:
  backend:
    build: ./docker/python
    container_name: fastapi-backend
    ports:
      - "8001:8000"
    volumes:
      - ./backend:/app
      - ./csv:/csv
    env_file:
      - .env
    networks:
      - ddds-network
    # メモリ制限の設定 - 5GB (システムメモリ6GBの環境向け)
    mem_limit: 5g
    memswap_limit: 5g
    # CPUリソースの設定
    cpus: '4.0'

volumes:
  tracer_db_data:

networks:
  ddds-network:
    external: true